
# For 用于训练不同模型，以及保存相应的路径
# -------------------------------------------------------------------------------------------------------------------- #
python train.py --model 'LeNet' --input_size 32 --save_path './checkpoints/efficientnetv2_s/watermarking/best.pt' --save_path_last './checkpoints/efficientnetv2_s/watermarking/last.pt' --epoch 100
python train.py --model 'Alexnet' --input_size 500 --checkpoint_dir './checkpoints/Alexnet/black_wm' --data_path './dataset' --dataset_name 'imagenette2' --output_num 10  --epoch 50 --num_worker 2 --batch 50 --lr_end_epoch 50 --lr_start 0.001
python train.py --model 'VGG19' --save_path './checkpoints/VGG19/watermarking/best.pt' --save_path_last './checkpoints/VGG19/watermarking/last.pt' --epoch 100
python train.py --model 'GoogleNet' --input_size 32 --save_path './checkpoints/GoogleNet/watermarking/best.pt' --save_path_last './checkpoints/GoogleNet/watermarking/last.pt' --epoch 100
python train.py --model 'resnet' --save_path './checkpoints/resnet/watermarking/best.pt' --save_path_last './checkpoints/resnet/watermarking/last.pt' --epoch 100


# For 用于剪枝模型，剪枝后微调训练，保存剪枝后模型路径，以及验证微调模型准确性
# -------------------------------------------------------------------------------------------------------------------- #
python train.py --model 'resnet'  --prune True --prune_weight './checkpoints/resnet/watermarking/best.pt' --prune_save './checkpoints/resnet/watermarking/prune_best.pt' --epoch 40
python train.py --model 'VGG19'  --prune True --prune_weight './checkpoints/VGG19/watermarking/best.pt' --prune_save './checkpoints/VGG19/watermarking/prune_best.pt' --epoch 40
python train.py --model 'Alexnet'  --prune True --input_size 112 --prune_weight './checkpoints/Alexnet/watermarking/best.pt' --prune_save './checkpoints/Alexnet/watermarking/prune_best.pt' --epoch 40
python train.py --model 'mobilenetv2'  --prune True --prune_weight './checkpoints/mobilenetv2/watermarking/best.pt' --prune_save './checkpoints/mobilenetv2/watermarking/prune_best.pt' --epoch 40
python train.py --model 'GoogleNet' --input_size 32 --prune True --prune_weight './checkpoints/GoogleNet/watermarking/best.pt' --prune_save './checkpoints/GoogleNet/watermarking/prune_best.pt' --epoch 40
python train.py --model 'badnet' --input_size 32 --prune True --prune_weight './checkpoints/badnet/watermarking/best.pt' --prune_save './checkpoints/badnet/watermarking/prune_best.pt' --epoch 40
python train.py --model 'efficientnet' --input_size 32 --prune True --prune_weight './checkpoints/efficientnetv2_s/watermarking/best.pt' --prune_save './checkpoints/efficientnetv2_s/watermarking/prune_best.pt' --epoch 40



# For 用于剪枝模型后边缘部署
# -------------------------------------------------------------------------------------------------------------------- #