import os

from flask import Flask
from watermark_generate.controller.secret_controller import secret
from watermark_generate.controller.dataset_controller import dataset
from watermark_generate.controller.log_controller import log_controller
from watermark_generate.controller.verify_model_controller import verify_model

app = Flask(__name__)

# 注册路由
app.register_blueprint(secret)
app.register_blueprint(dataset)
app.register_blueprint(log_controller)
app.register_blueprint(verify_model)

# Configure upload and extract folders
app.config['UPLOAD_FOLDER'] = 'uploads'
app.config['EXTRACT_FOLDER'] = 'extracted'
app.config['RESULT_FOLDER'] = 'resource/results'

# Create the folders if they don't exist
os.makedirs(app.config['UPLOAD_FOLDER'], exist_ok=True)
os.makedirs(app.config['EXTRACT_FOLDER'], exist_ok=True)
os.makedirs(app.config['RESULT_FOLDER'], exist_ok=True)

# 运行
if __name__ == '__main__':
    app.run(debug=True, host='0.0.0.0', port=5000)
