# 设置初始的日志格式和大小
import logging
from logging.handlers import RotatingFileHandler

log_format = '%(asctime)s - %(levelname)s - [%(filename)s] - [%(funcName)s] - line:[%(lineno)d] - %(message)s'
log_size = 1024 * 1024  # 默认为 1MB
log_level = logging.INFO
# 配置日志
logging.basicConfig(level=logging.DEBUG, format=log_format)

# 获取默认的 logger
logger = logging.getLogger(__name__)

# 添加 RotatingFileHandler，设置日志文件大小限制
handler = RotatingFileHandler('app.log', maxBytes=log_size, backupCount=1)
handler.setFormatter(logging.Formatter(log_format))
logger.addHandler(handler)
for handler in logger.handlers:
    handler.setLevel(log_level)
